package com.gh.gamecenter.message.provider

import android.content.Context
import android.content.Intent
import com.therouter.router.Route
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.core.utils.ToastUtils
import com.gh.gamecenter.feature.provider.IGameCollectionDetailProvider

@com.therouter.inject.ServiceProvider
class GameCollectionDetailProviderImpl : IGameCollectionDetailProvider {
    override fun getIntent(context: Context, gameCollectionId: String, isFromSquare: Boolean, entrance: String): Intent? {
        ToastUtils.toast("调用->GameCollectionDetailProviderImpl.getIntent")
        return null
    }

    override fun getSpecifiedCommentIntent(context: Context, gameCollectionId: String, topCommentId: String, entrance: String): Intent? {
        ToastUtils.toast("调用->GameCollectionDetailProviderImpl.getSpecifiedCommentIntent")
        return null
    }
}